Summary:	Utility for interfacing with IPMI devices
Name:		ipmitool
Version:	1.8.15
Release:	%mkrel 2
License:	GPLv2
Group:		System/Kernel and hardware
Url:		http://ipmitool.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/ipmitool/%{name}/%{version}/%{name}-%{version}.tar.bz2
Source1:    openipmi-ipmievd.sysconf
Source2:    ipmievd.service
Patch1:     ipmitool-1.8.11-CVE-2011-4339.diff
Patch2:     101_fix_buf_overflow.patch
BuildRequires:	openssl-devel
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool

%description
IPMI stands for Intelligent Platform Management Interface 
and is an open standard for machine health, and (remote) control
and is implemented by many hardware vendors - Intel is one of the originators, 
and early adopters of the standard.
This package contains a utility for interfacing with IPMI-enabled devices
through either the OpenIPMI kernel driver or with IPMI-over-LAN protocol.
These functions include printing FRU(Field Replaceable Unit) information,
LAN configuration, sensor readings, and remote chassis power control. 

%prep
%setup -q
%autopatch -p1

%build
# --disable-dependency-tracking speeds up the build
# --enable-file-security adds some security checks
# --disable-intf-free disables FreeIPMI support - we don't want to depend on
#   FreeIPMI libraries, FreeIPMI has its own ipmitoool-like utility.

# begin: release auto-tools
aclocal
libtoolize --automake --copy
autoheader
automake --foreign --add-missing --copy
aclocal
autoconf
automake --foreign
# end: release auto-tools

%configure2_5x \
	--disable-dependency-tracking \
	--enable-file-security \
	--disable-intf-free 
%make

%install
%makeinstall_std
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/ipmitool
install -Dpm 644 %{SOURCE2} %{buildroot}%{_unitdir}/ipmievd.service
install -Dpm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/ipmievd

%post
%_post_service ipmievd

%preun
%_preun_service ipmievd
 	
%files
%doc AUTHORS COPYING README
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_datadir}/ipmitool
%doc %{_mandir}/man1/*
%doc %{_mandir}/man8/*
%config(noreplace) %{_sysconfdir}/sysconfig/ipmievd 
%{_unitdir}/ipmievd.service


%changelog
* Thu Feb 11 2016 umeabot <umeabot> 1.8.15-2.mga6
+ Revision: 954448
- Mageia 6 Mass Rebuild

* Sat Jul 25 2015 philippem <philippem> 1.8.15-1.mga6
+ Revision: 857613
- update to 1.8.15

* Wed Oct 15 2014 umeabot <umeabot> 1.8.14-3.mga5
+ Revision: 742281
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.14-2.mga5
+ Revision: 680540
- Mageia 5 Mass Rebuild

* Mon Jun 16 2014 philippem <philippem> 1.8.14-1.mga5
+ Revision: 637634
- update to 1.8.14

* Tue Oct 29 2013 philippem <philippem> 1.8.13-1.mga4
+ Revision: 547876
- imported package ipmitool

